## eole-sso 2.7.0-6

=== debian/changelog ===
eole-sso (2.7.0-6) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [16c4201] Suppression du test "/ obligatoire" sur eolesso_cas_folder
  * [65e3f9f] Merge branch '2.6.2/master'
  * [6ed8564] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [1eedbe5] Joël Cuissinat: Update package since “debian/eole/2.7.0-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 04 Jun 2018 16:05:01 +0200

eole-sso (2.7.0-5) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [e7484f2] Ne pas cacher "eolesso_session_timeout" pour courier-eolecas
  * [4c1bb33] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [129bfd6] Joël Cuissinat: Update package since “debian/eole/2.7.0-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 01 Jun 2018 14:49:02 +0200

eole-sso (2.7.0-4) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [94a5d00] 21_sso.xml : réorganisation et ajout de séparateurs
  * [e1daa48] 21_sso.xml : suppression d'attributs mandatory et hidden superflus
  * [1b2e3a0] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [ad693fb] Joël Cuissinat: Update package since “debian/eole/2.7.0-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 15 May 2018 14:40:42 +0200

eole-sso (2.7.0-3) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [15f8155] Revert "Replace depends from python-twisted-web2 to python-twisted-web"

  [ EOLE Build Daemon ]
  * [627ca52] Joël Cuissinat: Update package since “debian/eole/2.7.0-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 30 Apr 2018 16:55:54 +0200

eole-sso (2.7.0-2) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [eebc385] Le diagnose du SSO testait 2 fois la même chose suite à creole:commit:3329f887

  [ Joël Cuissinat ]
  * [3e50cf0] Ajout de la variable "eolesso_cas_folder"
  * [007e379] Merge branch '2.6.2/master'
  * [a544929] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [f6a160c] Joël Cuissinat: Update package since “debian/eole/2.7.0-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 23 Apr 2018 17:46:24 +0200

eole-sso (2.7.0-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [29fb55d] Prepare version 2.7.0
  * [9031409] Merge tag 'release/2.7.0' into dist/eole/2.7.0/master

  [ Laurent Flori ]
  * [b9d4152] Replace depends from python-twisted-web2 to python-twisted-web

  [ EOLE Build Daemon ]
  * [bab8cd9] Laurent Flori: Update package since “debian/eole/2.6.2-3”

 -- Laurent Flori <laurent.flori@ac-dijon.fr>  Mon, 19 Feb 2018 15:56:46 +0100

## eole-sso 2.7.0-12

=== Makefile ===
################################
# Makefile pour XXX-XXX
################################

SOURCE=eole-sso
VERSION=2.7
EOLE_VERSION=2.7
EOLE_RELEASE=2.7.0
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-sso (2.7.0-12) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [52f12cd] Merge branch '2.6.2/SSO-backlog' into 2.6.2/master
  * [4fbd48b] Application du patch concernant les "Erreurs 500 aléatoires en haute dispo"
    Thanks to Jeremie Andrei
  * [139bcd3] Merge branch '2.6.2/master' into 2.7.0/master
  * [fb5e0a1] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [4e82519] Joël Cuissinat: Update package since “debian/eole/2.7.0-11”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 14 Mar 2022 16:46:55 +0100

eole-sso (2.7.0-11) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [2e4bbb2] Make "backlog" configurable
  * [472ad89] Merge branch '2.6.2/SSO-backlog' into 2.7.0/master
  * [f5874e2] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [a52d497] Joël Cuissinat: Update package since “debian/eole/2.7.0-10”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 27 Nov 2020 11:43:04 +0100

eole-sso (2.7.0-10) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [f2838a3] Make THREAD_POOL_SIZE configurable
  * [194f069] Merge branch '2.7.0/SSO-ThreadPoolSize' into 2.7.0/master
  * [625d5cf] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [f5cff6b] Joël Cuissinat: Update package since “debian/eole/2.7.0-9”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 30 Oct 2020 17:58:08 +0100

eole-sso (2.7.0-9) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [ef87e4f] Merge branch '2.5.2/26849-GAR-federation' into 2.6.2/master
  * [bc0048e] Merge branch '2.6.0/29436-tls1.2' into 2.6.2/master
  * [e9f45cd] Assign index 1 to AttributeConsumingService if missing
  * [cc4d821] Merge branch '2.6.2/30187-ConsumingService' into 2.7.0/master
  * [902ea10] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [2409284] Joël Cuissinat: Update package since “debian/eole/2.7.0-8”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 15 Jun 2020 10:55:02 +0200

eole-sso (2.7.0-8) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [8c436cb] Use default (=highest) protocol
  * [b935ec8] Merge branch '2.6.0/29436-tls1.2' into 2.7.0/master
  * [44f59a4] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [9d6b6ad] Joël Cuissinat: Update package since “debian/eole/2.7.0-7”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 07 Jan 2020 15:26:03 +0100

eole-sso (2.7.0-7) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [02fccfa] Update SAML for GAR federation
  * [a48148a] Merge branch '2.5.2/26849-GAR-federation' into 2.7.0/master
  * [80d0ead] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [585673e] Joël Cuissinat: Update package since “debian/eole/2.7.0-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 30 Sep 2019 12:15:26 +0200

## eole-sso 2.7.1-17

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-sso
 VERSION=2.7
 EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.0
+EOLE_RELEASE=2.7.1
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-sso (2.7.1-17) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [a48148a] Merge branch '2.5.2/26849-GAR-federation' into 2.7.0/master
  * [b935ec8] Merge branch '2.6.0/29436-tls1.2' into 2.7.0/master
  * [cc4d821] Merge branch '2.6.2/30187-ConsumingService' into 2.7.0/master
  * [194f069] Merge branch '2.7.0/SSO-ThreadPoolSize' into 2.7.0/master
  * [472ad89] Merge branch '2.6.2/SSO-backlog' into 2.7.0/master
  * [52f12cd] Merge branch '2.6.2/SSO-backlog' into 2.6.2/master
  * [4fbd48b] Application du patch concernant les "Erreurs 500 aléatoires en haute dispo"
    Thanks to Jeremie Andrei
  * [139bcd3] Merge branch '2.6.2/master' into 2.7.0/master
  * [7cb6122] Merge branch '2.7.0/master' into 2.7.1/master
  * [8725755] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [5a7df92] Joël Cuissinat: Update package since “debian/eole/2.7.1-16”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 14 Mar 2022 16:47:53 +0100

eole-sso (2.7.1-16) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [d70fa7e] Conflit eole-sso-cluster-client/eole-sso-cluster-server

  [ EOLE Build Daemon ]
  * [aa24660] Joël Cuissinat: Update package since “debian/eole/2.7.1-15”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 02 Dec 2021 17:26:18 +0100

eole-sso (2.7.1-15) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [2e4bbb2] Make "backlog" configurable
  * [761c247] Merge branch '2.6.2/SSO-backlog' into 2.7.1/master
  * [519e3b8] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [ff5449d] Joël Cuissinat: Update package since “debian/eole/2.7.1-14”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 27 Nov 2020 11:44:20 +0100

eole-sso (2.7.1-14) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [f2838a3] Make THREAD_POOL_SIZE configurable
  * [3471808] Merge branch '2.7.0/SSO-ThreadPoolSize' into 2.7.1/master
  * [dda1b76] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [91c2af7] Joël Cuissinat: Update package since “debian/eole/2.7.1-13”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 02 Nov 2020 09:49:04 +0100

eole-sso (2.7.1-13) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [56458cb] "stunnel_opts" variable is not available in eole-sso-cluster-client
  * [0713970] Merge branch 'fix/30404-enable-stunnel' into 2.7.1/master
  * [2cd1247] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [c87f506] Joël Cuissinat: Update package since “debian/eole/2.7.1-12”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 21 Jul 2020 10:09:32 +0200

eole-sso (2.7.1-12) eole-2.7.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [383ae7a] stunnel: enable the service
  * [3daad9a] Merge branch 'fix/30404-enable-stunnel' into 2.7.1/master
  * [e2563a6] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [8ef05c2] Daniel Dehennin: Update package since “debian/eole/2.7.1-11”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 03 Jul 2020 11:03:13 +0200

eole-sso (2.7.1-11) eole-2.7.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [23b2a4f] Fix unsupported option for Bionic
  * [c9e0db4] Merge branch 'fix/30404-stunnel-config' into 2.7.1/master
  * [2a86c15] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [1f70c99] Daniel Dehennin: Update package since “debian/eole/2.7.1-10”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 02 Jul 2020 13:08:33 +0200

eole-sso (2.7.1-10) eole-2.7.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [a0f837f] stunnel: verification of peer certificate does not work
  * [348b7e5] Merge branch 'fix/30404-stunnel-config' into 2.7.1/master
  * [03f5f81] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [686eb71] Daniel Dehennin: Update package since “debian/eole/2.7.1-9”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 02 Jul 2020 11:45:56 +0200

eole-sso (2.7.1-9) eole-2.7.1-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [6541ffc] Removing obselete directory from install file ref #30335

  [ EOLE Build Daemon ]
  * [e1ae4b2] Philippe Caseiro: Update package since “debian/eole/2.7.1-8”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Mon, 22 Jun 2020 15:34:59 +0200

eole-sso (2.7.1-8) eole-2.7.1-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [d073f9a] Removing default stunnel conf replaced by eole-redis Changing default eole-sso redis instance port.
  * [5e8e98f] Merge branch '2.7.1/master' into dist/eole/2.7.1/master
  * [ac086f2] Update deps for eole-sso cluster

  [ EOLE Build Daemon ]
  * [9d9e20c] Philippe Caseiro: Update package since “debian/eole/2.7.1-7”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Mon, 22 Jun 2020 15:24:15 +0200

eole-sso (2.7.1-7) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [ef87e4f] Merge branch '2.5.2/26849-GAR-federation' into 2.6.2/master
  * [bc0048e] Merge branch '2.6.0/29436-tls1.2' into 2.6.2/master
  * [e9f45cd] Assign index 1 to AttributeConsumingService if missing
  * [71c6e76] Merge branch '2.6.2/30187-ConsumingService' into 2.7.1/master
  * [2d2cdff] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [66f5b05] Joël Cuissinat: Update package since “debian/eole/2.7.1-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 15 Jun 2020 10:56:43 +0200

eole-sso (2.7.1-6) eole-2.7.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [52324a2] Revert "activer eole-sso via apache (ref #29797)"
  * [35136ed] Revert "Les liens sont maintenant relatif à la page d'accueil (ref #29799)"
  * [685faf0] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [3b41f4a] Emmanuel Garette: Update package since “debian/eole/2.7.1-5”



## eole-sso 2.7.2-13

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-sso
 VERSION=2.7
 EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.1
+EOLE_RELEASE=2.7.2
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-sso (2.7.2-13) eole-2.7.2-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [b84a8e1] activer eole-sso sur le port 443 dans toutes les configurations ref #29858
  * [f078ff4] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [846627d] Matthieu Lamalle: Update package since “debian/eole/2.7.2-12”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 24 Apr 2020 08:09:43 +0200

eole-sso (2.7.2-12) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [974b8e2] gestion du 'reload' du service sur le port 443 (ref #29854)
  * [9fc7ff4] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [470fdba] Emmanuel Garette: Update package since “debian/eole/2.7.2-11”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 07 Apr 2020 08:10:35 +0200

eole-sso (2.7.2-11) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [c5553b3] eolesso_cas_folder n'est pas obligatoire (ref #29794)
  * [10fd663] pam_cas : utilisation de la variable eolesso_cas_folder (ref #29794)
  * [f16bb32] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [424699e] Emmanuel Garette: Update package since “debian/eole/2.7.2-10”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 06 Apr 2020 16:43:06 +0200

eole-sso (2.7.2-10) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [f861193] définir server_names_hash_bucket_size si non définit par le reverse_proxy (ref #29833)
  * [3463437] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [f67c21c] Emmanuel Garette: Update package since “debian/eole/2.7.2-9”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 01 Apr 2020 14:41:47 +0200

eole-sso (2.7.2-9) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [0f61954] ajout du test pour nginx + rm=True (ref #29793)
  * [43d8926] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [5fd5019] Emmanuel Garette: Update package since “debian/eole/2.7.2-8”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 01 Apr 2020 11:28:10 +0200

eole-sso (2.7.2-8) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [6d02701] gestion des templates (ref #29799)
  * [286bdbd] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [55317f1] Emmanuel Garette: Update package since “debian/eole/2.7.2-7”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 30 Mar 2020 16:58:16 +0200

eole-sso (2.7.2-7) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [d54e8b8] calcule de la variable eolesso_cas_folder suivant le port configuré par l'utilisateur (ref #29799)
  * [a5db242] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [766c77f] Emmanuel Garette: Update package since “debian/eole/2.7.2-6”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 27 Mar 2020 12:04:52 +0100

eole-sso (2.7.2-6) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [f548b03] support de nginx (ref #29798)
  * [776de72] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [8153ded] Emmanuel Garette: Update package since “debian/eole/2.7.2-5”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 27 Mar 2020 11:42:59 +0100

eole-sso (2.7.2-5) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [104e317] activer eole-sso via apache (ref #29797)
  * [d06f8bd] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [bcef70b] Emmanuel Garette: Update package since “debian/eole/2.7.2-4”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 27 Mar 2020 08:46:29 +0100

eole-sso (2.7.2-4) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [ebfdf00] Revert "Revert "activer eole-sso via apache (ref #29797)""
  * [c3d0dd2] Revert "Revert "activer eole-sso via apache (ref #29797)""
  * [5f62c7d] activer eole-sso via apache (ref #29797)
  * [bf49c9b] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [3383e95] Emmanuel Garette: Update package since “debian/eole/2.7.2-3”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 26 Mar 2020 16:44:29 +0100

eole-sso (2.7.2-3) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [9bebe33] Merge branch '2.6.0/29436-tls1.2' into 2.7.1/master

  [ Emmanuel Garette ]
  * [13a3575] Les liens sont maintenant relatif à la page d'accueil (ref #29799)
  * [8f6f554] activer eole-sso via apache (ref #29797)
  * [afa7f45] activer eole-sso via apache (ref #29797)
  * [4c76b88] Merge branch '2.7.1/master' into 2.7.2/master
  * [f8b26c0] Revert "activer eole-sso via apache (ref #29797)"
  * [52324a2] Revert "activer eole-sso via apache (ref #29797)"
  * [35136ed] Revert "Les liens sont maintenant relatif à la page d'accueil (ref #29799)"
  * [0d14e7c] Merge branch '2.7.1/master' into 2.7.2/master
  * [86e3e87] Revert "Revert "Les liens sont maintenant relatif à la page d'accueil (ref #29799)""
  * [79b2e45] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [22c3a17] Emmanuel Garette: Update package since “debian/eole/2.7.2-2”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 26 Mar 2020 15:30:18 +0100

eole-sso (2.7.2-2) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [8c436cb] Use default (=highest) protocol
  * [1cf7bb8] Merge branch '2.6.0/29436-tls1.2'
  * [f847620] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [471fb45] Joël Cuissinat: Update package since “debian/eole/2.7.2-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 07 Jan 2020 15:27:11 +0100

eole-sso (2.7.2-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [861f2b2] Prepare version 2.7.1
  * [15aa5cf] Merge tag 'release/2.7.1' into dist/eole/2.7.1/master
  * [61bed89] Prepare version 2.7.2
  * [013fa2a] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master

  [ Joël Cuissinat ]
  * [02fccfa] Update SAML for GAR federation


## eole-sso 2.7.2-21

=== debian/changelog ===
eole-sso (2.7.2-21) eole-2.7.2-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [d105656] redirection vers /sso/ seulement si on arrive sur /sso ref #30325
  * [9723081] nginx : correction des headers de proxy, redirection vers /sso/, et réécriture des assets avec /sso ref #30355

  [ Joël Cuissinat ]
  * [e4404dd] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [39e4e62] Joël Cuissinat: Update package since “debian/eole/2.7.2-20”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 22 Jun 2020 11:43:41 +0200

eole-sso (2.7.2-20) eole-2.7.2-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [a888ea3] rediriger /sso vers /sso/ ref #30174
  * [b7034a2] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [ba193e0] Joël Cuissinat: Update package since “debian/eole/2.7.2-19”

  [ Joël Cuissinat ]

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 18 Jun 2020 16:46:29 +0200

eole-sso (2.7.2-19) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [ef87e4f] Merge branch '2.5.2/26849-GAR-federation' into 2.6.2/master
  * [bc0048e] Merge branch '2.6.0/29436-tls1.2' into 2.6.2/master
  * [e9f45cd] Assign index 1 to AttributeConsumingService if missing
  * [bb69656] Merge branch '2.6.2/30187-ConsumingService' into 2.7.2/master
  * [963ea49] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [00d44b7] Joël Cuissinat: Update package since “debian/eole/2.7.2-18”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 15 Jun 2020 10:59:30 +0200

eole-sso (2.7.2-18) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [0a1a46a] Nginx log file names conflict with GenConfig
  * [ec8743a] Merge branch 'fix/nginx-log-files' into 2.7.2/master
  * [7ad423d] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [7a1174a] Daniel Dehennin: Update package since “debian/eole/2.7.2-17”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 10 Jun 2020 15:17:48 +0200

eole-sso (2.7.2-17) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [be95434] Remove "eolesso_adresse" warning
  * [c28ba94] Merge branch 'fix/30019-use-only-web.d' into 2.7.2/master
  * [cf0342e] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [297ef6b] Joël Cuissinat: Update package since “debian/eole/2.7.2-16”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 26 May 2020 10:39:03 +0200

eole-sso (2.7.2-16) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [1f12dd3] nginx: the SSO service is mounted under “/”
  * [0aae4fa] Merge branch 'fix/30019-use-only-web.d' into 2.7.2/master
  * [13823d6] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [7265723] Daniel Dehennin: Update package since “debian/eole/2.7.2-15”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 25 May 2020 16:39:55 +0200

eole-sso (2.7.2-15) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [8c41d3c] nginx: the “web.d” directory may not be created
  * [4b52826] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [e9d6392] Daniel Dehennin: Update package since “debian/eole/2.7.2-14”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 19 May 2020 14:59:50 +0200

eole-sso (2.7.2-14) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [2d6d33a] nginx: generate the configuration under “web.d/”
  * [88d8e4c] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [9fce9f8] Daniel Dehennin: Update package since “debian/eole/2.7.2-13”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 19 May 2020 10:36:11 +0200

## eole-sso 2.7.2-30

=== debian/changelog ===
eole-sso (2.7.2-30) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [3471808] Merge branch '2.7.0/SSO-ThreadPoolSize' into 2.7.1/master
  * [761c247] Merge branch '2.6.2/SSO-backlog' into 2.7.1/master
  * [a48148a] Merge branch '2.5.2/26849-GAR-federation' into 2.7.0/master
  * [b935ec8] Merge branch '2.6.0/29436-tls1.2' into 2.7.0/master
  * [cc4d821] Merge branch '2.6.2/30187-ConsumingService' into 2.7.0/master
  * [194f069] Merge branch '2.7.0/SSO-ThreadPoolSize' into 2.7.0/master
  * [472ad89] Merge branch '2.6.2/SSO-backlog' into 2.7.0/master
  * [52f12cd] Merge branch '2.6.2/SSO-backlog' into 2.6.2/master
  * [4fbd48b] Application du patch concernant les "Erreurs 500 aléatoires en haute dispo"
    Thanks to Jeremie Andrei
  * [139bcd3] Merge branch '2.6.2/master' into 2.7.0/master
  * [7cb6122] Merge branch '2.7.0/master' into 2.7.1/master
  * [a39a685] Merge branch '2.7.1/master' into 2.7.2/master
  * [681584d] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [61e837c] Joël Cuissinat: Update package since “debian/eole/2.7.2-29”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 14 Mar 2022 16:50:02 +0100

eole-sso (2.7.2-29) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [c3dbda9] Conflit eole-sso-cluster-client/eole-sso-cluster-server

  [ EOLE Build Daemon ]
  * [6cd756a] Joël Cuissinat: Update package since “debian/eole/2.7.2-28”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 02 Dec 2021 17:31:28 +0100

eole-sso (2.7.2-28) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [2e4bbb2] Make "backlog" configurable
  * [a037366] Merge branch '2.6.2/SSO-backlog' into 2.7.2/master
  * [38f1ab4] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [4816185] Joël Cuissinat: Update package since “debian/eole/2.7.2-27”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 27 Nov 2020 11:44:57 +0100

eole-sso (2.7.2-27) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [f2838a3] Make THREAD_POOL_SIZE configurable
  * [c4c8624] Merge branch '2.7.0/SSO-ThreadPoolSize' into 2.7.2/master
  * [defcf7b] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [16f5606] Joël Cuissinat: Update package since “debian/eole/2.7.2-26”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 02 Nov 2020 09:55:06 +0100

eole-sso (2.7.2-26) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [52f2d92] Use variables to build sso metadata url.
  * [dba62ee] Merge branch '2.7.2/30622-sso_agent' into 2.7.2/master
  * [a159149] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [c6d6914] Benjamin Bohard: Update package since “debian/eole/2.7.2-25”

 -- Benjamin Bohard <bbohard@cadoles.com>  Fri, 11 Sep 2020 16:22:36 +0200

eole-sso (2.7.2-25) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [bdfd9ca] rediriger correctement /sso/login et /sso/?failed=1 (ref #30610)
  * [c1fcec1] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [7cc9719] Emmanuel Garette: Update package since “debian/eole/2.7.2-24”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 10 Sep 2020 16:17:21 +0200

eole-sso (2.7.2-24) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [56458cb] "stunnel_opts" variable is not available in eole-sso-cluster-client
  * [0713970] Merge branch 'fix/30404-enable-stunnel' into 2.7.1/master
  * [83b360d] Merge branch '2.7.1/master' into 2.7.2/master
  * [868f6ed] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [36b4f1c] Joël Cuissinat: Update package since “debian/eole/2.7.2-23”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 21 Jul 2020 10:21:54 +0200

eole-sso (2.7.2-23) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [dc813ab] Removing obselete directory from install file
  * [7cff8e8] Update deps for eole-sso cluster

  [ EOLE Build Daemon ]
  * [ea059c9] Daniel Dehennin: Update package since “debian/eole/2.7.2-22”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 16 Jul 2020 16:11:52 +0200

eole-sso (2.7.2-22) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [71c6e76] Merge branch '2.6.2/30187-ConsumingService' into 2.7.1/master

  [ Philippe Caseiro ]
  * [d073f9a] Removing default stunnel conf replaced by eole-redis Changing default eole-sso redis instance port.

  [ Daniel Dehennin ]
  * [a0f837f] stunnel: verification of peer certificate does not work
  * [348b7e5] Merge branch 'fix/30404-stunnel-config' into 2.7.1/master
  * [23b2a4f] Fix unsupported option for Bionic
  * [c9e0db4] Merge branch 'fix/30404-stunnel-config' into 2.7.1/master
  * [383ae7a] stunnel: enable the service
  * [3daad9a] Merge branch 'fix/30404-enable-stunnel' into 2.7.1/master
  * [bf5389e] Merge branch '2.7.1/master' into 2.7.2/master
  * [18433f2] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [f92de1d] Daniel Dehennin: Update package since “debian/eole/2.7.2-21”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 16 Jul 2020 16:03:09 +0200

=== debian/control ===
Source: eole-sso
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9), python-all-dev, dh-systemd
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-sso
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-sso

Package: eole-sso
Architecture: all
Depends: ${misc:Depends}, eole-sso-server
Description: Eolisation du serveur EoleSSO
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.
Provides: eole-sso-client
Replaces: eole-sso-client
Conflicts: eole-sso-client

Package: eole-sso-server
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-eolesso
Description: Serveur EoleSSO pour les module EOLE
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-sso-cluster-common
Architecture: all
Depends: ${misc:Depends}, stunnel4
Description: Configuration d'EoleSSO pour stockage des sessions dans un base
 Redis (via stunnel). Fichiers communs au mode serveur et client.
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-sso-cluster-client
Architecture: all
Depends: ${misc:Depends}, eole-sso, eole-sso-cluster-common, python-redis
Conflicts: eole-sso-cluster-server
Description: Activation d'un client stunnel pour stocker les sessions dans Redis
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-sso-cluster-server
Architecture: all
Depends: ${misc:Depends}, eole-sso-cluster-common, eole-redis
Conflicts: eole-sso-cluster-client
Description: Configuration de Redis pour EoleSSO avec accès par stunnel
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: python-eolesso
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-openid,
 python-twisted-web2, python-ipy, python-xmlsec,
 python-m2crypto, python-soappy, python-eoleldaptor,
 python-oic, python-prometheus-client
Description: librairie SSO pour les module EOLE
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## eole-sso 2.8.0-29

=== debian/changelog ===
eole-sso (2.8.0-29) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [2e4bbb2] Make "backlog" configurable
  * [4bd1626] Merge branch '2.6.2/SSO-backlog' into 2.8.0/master
  * [10b5d16] * tmpl/sso.conf : add 'eolesso_backlog'
  * [6e48863] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [632a062] Joël Cuissinat: Update package since “debian/eole/2.8.0-28”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 27 Nov 2020 14:17:35 +0100

eole-sso (2.8.0-28) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [f2838a3] Make THREAD_POOL_SIZE configurable
  * [798b807] Merge branch '2.7.0/SSO-ThreadPoolSize' into 2.8.0/master
  * [08d4e7f] * tmpl/sso.conf : add 'eolesso_thread_pool_size'
  * [be999a2] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [326bcae] Joël Cuissinat: Update package since “debian/eole/2.8.0-27”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 02 Nov 2020 10:37:12 +0100

eole-sso (2.8.0-27) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [6ed8515] ajout d'une valeur par défaut à getVar (ref #30662)
  * [cdfacc4] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [29cd308] Emmanuel Garette: Update package since “debian/eole/2.8.0-26”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 18 Sep 2020 17:52:47 +0200

eole-sso (2.8.0-26) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [3be6e35] suppression du doublons des variables container_ (ref #30662)
  * [2dee74f] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [cd660f9] Emmanuel Garette: Update package since “debian/eole/2.8.0-25”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 18 Sep 2020 15:25:18 +0200

eole-sso (2.8.0-25) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [c6fe18d] vérifier l'upgrade la configuration via un script python3 (ref #30662)
  * [3a59c3b] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [99bd392] Emmanuel Garette: Update package since “debian/eole/2.8.0-24”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 18 Sep 2020 07:57:38 +0200

eole-sso (2.8.0-24) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [330b387] vérifier l'upgrade la configuration via un script python3 (ref #30662)
  * [5aa1653] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [0dac4a2] Emmanuel Garette: Update package since “debian/eole/2.8.0-23”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 17 Sep 2020 17:07:03 +0200

eole-sso (2.8.0-23) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [3600a4c] ajout des dependances vers python (ref #30662)

  [ EOLE Build Daemon ]
  * [2630628] Emmanuel Garette: Update package since “debian/eole/2.8.0-22”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 17 Sep 2020 16:42:08 +0200

eole-sso (2.8.0-22) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [6922631] vérifier l'upgrade la configuration via un script python3 (ref #30662)
  * [c9c6e61] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [370a4a0] Emmanuel Garette: Update package since “debian/eole/2.8.0-21”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 17 Sep 2020 16:31:13 +0200

eole-sso (2.8.0-21) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [4c8459f] ajout des dependances vers python (ref #30662)
  * [b10b56e] supprimer les dépendances à pyeole et creole (ref #30662)
  * [a4c112e] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [8486aaf] Emmanuel Garette: Update package since “debian/eole/2.8.0-20”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 17 Sep 2020 16:29:12 +0200

eole-sso (2.8.0-20) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [52f2d92] Use variables to build sso metadata url.
  * [d492dce] Merge branch '2.7.2/30622-sso_agent'
  * [630e2fc] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [2d471ec] Benjamin Bohard: Update package since “debian/eole/2.8.0-19”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 14 Sep 2020 09:17:59 +0200

eole-sso (2.8.0-19) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [bdfd9ca] rediriger correctement /sso/login et /sso/?failed=1 (ref #30610)
  * [8709298] Merge branch '2.7.2/master'
  * [e1e96f6] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [eb5d687] Emmanuel Garette: Update package since “debian/eole/2.8.0-18”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 10 Sep 2020 16:17:47 +0200

eole-sso (2.8.0-18) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [c50f8c1] Faire fonctionner EoleSSO avec un annuaire distant répondant en TLS (ref #30522)
  * [442b0f1] Merge branch '2.7.2/30522'
  * [d492f10] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [85af86a] Emmanuel Garette: Update package since “debian/eole/2.8.0-17”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 24 Aug 2020 14:58:20 +0200

eole-sso (2.8.0-17) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [56458cb] "stunnel_opts" variable is not available in eole-sso-cluster-client
  * [0713970] Merge branch 'fix/30404-enable-stunnel' into 2.7.1/master
  * [83b360d] Merge branch '2.7.1/master' into 2.7.2/master
  * [3de0ec0] Merge branch '2.7.2/master'
  * [8467e5b] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [027dc97] Joël Cuissinat: Update package since “debian/eole/2.8.0-16”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 21 Jul 2020 10:28:44 +0200

eole-sso (2.8.0-16) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [71c6e76] Merge branch '2.6.2/30187-ConsumingService' into 2.7.1/master

  [ Philippe Caseiro ]
  * [d073f9a] Removing default stunnel conf replaced by eole-redis Changing default eole-sso redis instance port.

  [ Daniel Dehennin ]


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9), python-all-dev, dh-systemd
+Build-Depends: debhelper (>= 9), python-all-dev, dh-systemd, python
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-sso
@@ -36,7 +36,6 @@
 Package: eole-sso-cluster-client
 Architecture: all
 Depends: ${misc:Depends}, eole-sso, eole-sso-cluster-common, python-redis
-Conflicts: eole-sso-cluster-server
 Description: Activation d'un client stunnel pour stocker les sessions dans Redis
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
@@ -44,7 +43,6 @@
 Package: eole-sso-cluster-server
 Architecture: all
 Depends: ${misc:Depends}, eole-sso-cluster-common, eole-redis
-Conflicts: eole-sso-cluster-client
 Description: Configuration de Redis pour EoleSSO avec accès par stunnel
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
@@ -55,7 +53,8 @@
 Depends: ${misc:Depends}, ${python:Depends}, python-openid,
  python-twisted-web2, python-ipy, python-xmlsec,
  python-m2crypto, python-soappy, python-eoleldaptor,
- python-oic, python-prometheus-client
+ python-oic, python-prometheus-client, python-cheetah,
+ python-configobj, python-cjson
 Description: librairie SSO pour les module EOLE
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with systemd

# Force init script name
override_dh_installinit:
	dh_installinit --no-start -u"start 80 5 . stop 80 0 6 ." -peole-sso-server --name=eole-sso $@
	dh_installinit --no-start -u"start 80 5 . stop 80 0 6 ." -peole-sso-cluster-server --name=redis-eolesso $@

override_dh_systemd_enable:
	dh_systemd_enable -peole-sso-server --name=eole-sso
	dh_systemd_enable -peole-sso-cluster-server --name=redis-eolesso

.PHONY: dh_installinit

## eole-sso 2.8.0-40

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-sso
-VERSION=2.7
-EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.2
+VERSION=2.8
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-sso (2.8.0-40) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [64857e5] Tri des fichiers de filtre SSO.
  * [0c99f2d] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [55a9b75] Benjamin Bohard: Update package since “debian/eole/2.8.0-39”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 05 Sep 2023 12:14:58 +0200

eole-sso (2.8.0-39) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [dba62ee] Merge branch '2.7.2/30622-sso_agent' into 2.7.2/master

  [ Joël Cuissinat ]
  * [c4c8624] Merge branch '2.7.0/SSO-ThreadPoolSize' into 2.7.2/master
  * [a037366] Merge branch '2.6.2/SSO-backlog' into 2.7.2/master
  * [3471808] Merge branch '2.7.0/SSO-ThreadPoolSize' into 2.7.1/master
  * [761c247] Merge branch '2.6.2/SSO-backlog' into 2.7.1/master
  * [a48148a] Merge branch '2.5.2/26849-GAR-federation' into 2.7.0/master
  * [b935ec8] Merge branch '2.6.0/29436-tls1.2' into 2.7.0/master
  * [cc4d821] Merge branch '2.6.2/30187-ConsumingService' into 2.7.0/master
  * [194f069] Merge branch '2.7.0/SSO-ThreadPoolSize' into 2.7.0/master
  * [472ad89] Merge branch '2.6.2/SSO-backlog' into 2.7.0/master
  * [52f12cd] Merge branch '2.6.2/SSO-backlog' into 2.6.2/master
  * [4fbd48b] Application du patch concernant les "Erreurs 500 aléatoires en haute dispo"
    Thanks to Jeremie Andrei
  * [139bcd3] Merge branch '2.6.2/master' into 2.7.0/master
  * [7cb6122] Merge branch '2.7.0/master' into 2.7.1/master
  * [a39a685] Merge branch '2.7.1/master' into 2.7.2/master
  * [840ecdc] Merge branch '2.7.2/master' into 2.8.0/master
  * [5a6268b] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [ccb46ba] Joël Cuissinat: Update package since “debian/eole/2.8.0-38”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 14 Mar 2022 16:51:58 +0100

eole-sso (2.8.0-38) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [dc05e8d] Conflit eole-sso-cluster-client/eole-sso-cluster-server

  [ EOLE Build Daemon ]
  * [db81dc9] Joël Cuissinat: Update package since “debian/eole/2.8.0-37”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 02 Dec 2021 17:32:59 +0100

eole-sso (2.8.0-37) eole-2.8.0-proposed-updates; urgency=low

  [ afornerot ]
  * [fc8e542] mise en place du server sso type avec les attributs samls si le server est de type saml (fixes #32844)
  * [bae6d5e] adaptation dicos

  [ Joël Cuissinat ]
  * [857466d] * tmpl/cas.inc.php.tmpl : remove unnecessary "getVar"
  * [fee0431] * dicos/24_sso_saml.xml : clean dico
  * [fba882a] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [cd24b41] Joël Cuissinat: Update package since “debian/eole/2.8.0-36”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 29 Jun 2021 15:28:48 +0200

eole-sso (2.8.0-36) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [ef3bfec] Correction/mise à jour des traductions
  * [865e9bd] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [ab88a6c] Joël Cuissinat: Update package since “debian/eole/2.8.0-35”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 25 Mar 2021 11:40:10 +0100

eole-sso (2.8.0-35) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [70c35db] ajout message d'erreur si echec changement de mot de passe, ajout traductions, propagation du service ref #31981
  * [0e09241] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [796b040] Matthieu Lamalle: Update package since “debian/eole/2.8.0-34”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 25 Mar 2021 10:00:03 +0100

eole-sso (2.8.0-34) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [ee038ef] ne pas valider le certificat LDAP (ref #31856)
  * [4c96e09] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [960a3e4] Emmanuel Garette: Update package since “debian/eole/2.8.0-33”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 09 Mar 2021 14:42:05 +0100

eole-sso (2.8.0-33) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [a5c1229] utilisation de variable Creole pour la configuration du changement de mot de passe (ref #31856)
  * [23f180a] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [a962f3b] Emmanuel Garette: Update package since “debian/eole/2.8.0-32”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 08 Mar 2021 16:18:06 +0100

eole-sso (2.8.0-32) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [22bfa1c] add callback message
  * [99882a3] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [6ea7b16] Matthieu Lamalle: Update package since “debian/eole/2.8.0-31”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 05 Mar 2021 09:12:18 +0100

eole-sso (2.8.0-31) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [4a41fac] ajout dépendance python-ldap ref #31773

  [ EOLE Build Daemon ]
  * [ff9f499] Matthieu Lamalle: Update package since “debian/eole/2.8.0-30”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 04 Mar 2021 08:58:34 +0100

eole-sso (2.8.0-30) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [8af7108] récupération de l'info du changement de mot de passe ref : #31773
  * [e79c687] gestion du formulaire de chanegement de mot de passe ref : #31839
  * [7bc736c] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [f76fe03] Matthieu Lamalle: Update package since “debian/eole/2.8.0-29”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 04 Mar 2021 08:49:57 +0100
